This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 234072 - RHEL 5 failes to boot from 3ware SATA RAID aray (3w-9xxx driver) after install
RHEL 5 failes to boot from 3ware SATA RAID aray (3w-9xxx driver) after install
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: grub (Show other bugs)
5.0
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 17:01 EDT by David A. Cafaro
Modified: 2009-07-21 09:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 09:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David A. Cafaro 2007-03-26 17:01:16 EDT
Description of problem:
After a succesful install of RHEL 5 to a 3ware SATA RAID Array, the system then
fails to boot.  Grub starts (without graphics) and reports the following:

Booting 'Red Hat Enterprise Linux Server (2.6.18-8.el5)'

root(hd1,0)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.18-8.el5 ro root=LABEL=/ rhgb quite

Error 15: File not Found

Press any key to continue


Version-Release number of selected component (if applicable):

Kernel 2.6.18-8.el5 and kernel 2.6.18-8.1.1.el5
3Ware 9550SX Firmware 9.3.0.7 (tried earlier versions as well)
Tyan S2895 Motherboard with Bios 1.04 and 1.03 (1.05 fails to even install RHEL)

How reproducible:
Fails to boot every time using two different kernels and several different
combinations of controller and motherboard firmwares.  The install part works
with firmwares 9.3.0.7 (3ware) and 1.0.4 (Tyan) and earlier, but again it fails
to boot after the install is finished (even before firstboot config)

Steps to Reproduce:
1.  Install RHEL5 from CD to a 3Ware SATA RAID 5 array
2.  Reboot after succesful install
3.  Watch grub load but fail to boot system
  
Actual results:
System fails to boot past grub load

Expected results:
System boots to RHEL5 succesfully


Additional info:
No clue here...
Comment 1 David A. Cafaro 2007-03-26 17:07:09 EDT
Sorry, forgot to add grub version:
grub-0.97-13.x86_64
Comment 2 David A. Cafaro 2007-03-27 09:29:18 EDT
Not sure how this happened but the installer setup grub to the wrong harddrive.

It should have assigned grub to load off of root(hd0,0) and not root(hd1,0).  No
clue why it did that on the install, but it was resolved by booting the install
CDs into rescue mode and changing the value under /boot/grub/grub.conf.

Sorry to waist your time on this.

Note You need to log in before you can comment on or make changes to this bug.